Package:     backup2l
Subject:     upstream: upddate pigz driver
Author:      Sven Hartge <sven@svenhartge.de>
Origin:      upstream, https://github.com/gkiefer/backup2l/commit/e80be8a88c7954cba9b985a976b9520f34cd428b
Last-Update: 2018-06-05

Improve DRIVER_TAR_PIGZ: preserve atimes,
remove useless-use-of-cat by using -I pigz
---

diff -urN s13/first-time.conf s14/first-time.conf
--- s13/first-time.conf	2017-07-28 23:34:02.000000000 +0200
+++ s14/first-time.conf	2018-06-05 23:42:08.759208184 +0200
@@ -385,32 +385,31 @@
 
 
 # PIGZ driver (donated by Thomas R. Bailey <siggma@trbailey.net>)
+#             (improved by Sven Hartge <sven@svenhartge.de>)
 #
 # NOTES: USE ONLY WITH MULTI CORE CPU
 # REQUIRES YOU TO DOWNLOAD AND COMPILE PIGZ
 # OR INSTALL IT FROM YOUR DISTRO REPOSITORY
 # http://www.zlib.net/pigz/
 #
-DRIVER_TAR_GZ_PIGZ () {
+DRIVER_TAR_PIGZ ()
+{
     case $1 in
         -test)
-            require_tools tar gzip pigz cat
+            require_tools tar pigz gzip
             echo "ok"
             ;;
         -suffix)
             echo "tar.gz"
             ;;
-        -create) # Arguments: $2 = BID, $3 = archive file name, $4 = file list file        
-            tar cf - --files-from=$4 | pigz --best > $3 2>&1
+        -create)        # Arguments: $2 = BID, $3 = archive file name, $4 = file list file
+            tar cf $3 -T $4 -I pigz --no-recursion --atime-preserve 2>&1 | grep -v 'tar: Removing leading .* from .* names'
             ;;
-#         Using tar tz  for the toc verifies the PIGZ archive is usable 
-        -toc) # Arguments: $2 = BID, $3 = archive file name
-            cat $3 | tar tz | sed 's#^#/#'
+        -toc)           # Arguments: $2 = BID, $3 = archive file name
+            tar tf $3 -I pigz | sed 's#^#/#'
             ;;
-        -extract) # Arguments: $2 = BID, $3 = archive file name, $4 = file list file        
-#     Uncomment the next line and comment the line below it to uncompress using tar instead of pigz
-#        cat $3 | tar xz --same-permission --same-owner -T $4 2>&1        
-         cat $3 | pigz -d | tar x --same-permission --same-owner --files-from=$4 2>&1
+        -extract)       # Arguments: $2 = BID, $3 = archive file name, $4 = file list file
+            tar x --same-permission --same-owner -I pigz -f $3 -T $4 2>&1
             ;;
     esac
 }
